=== debian/control ===
Source: ros-jazzy-sick-safevisionary-driver
Section: misc
Priority: optional
Maintainer: Marvin Grosse Besselmann <grosse@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ament-cmake, libboost-all-dev, libcv-bridge-dev, libsensor-msgs-dev, python3-cv-bridge, python3-sensor-msgs, ros-jazzy-lifecycle-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-sick-safevisionary-base, ros-jazzy-sick-safevisionary-interfaces, ros-sensor-msgs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-sick-safevisionary-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libcv-bridge-dev, libsensor-msgs-dev, python3-cv-bridge, python3-sensor-msgs, ros-jazzy-lifecycle-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-sick-safevisionary-base, ros-jazzy-sick-safevisionary-interfaces, ros-sensor-msgs, ros-jazzy-ros-workspace
Description: Provides an interface to read the sensor output of a SICK Safevisionary sensor in ROS 2
